# Token refresh

At initialization of the MOVE SDK valid [MoveAuth](/move-platform/sdk/models/moveauth.md) credentials is required. The `accessToken` is only valid for a short period of time. With the `refreshToken`, the MOVE SDK tries to get a new `accessToken`. This can be done as long as the `refreshToken` is valid. \
\
As soon as it is not possible anymore to get a new `accessToken`, the host application will be notified via the *AuthStateUpdateListener* ([Android](https://docs.movesdk.com/move-platform/sdk/appendix/pages/-MZIfp4AHvpUSOaycA60#dolphinsdk.builderv1.1-initializationinitializationlistener-1) / [iOS](/move-platform/sdk/api-interface/ios/setup.md#set-sdk-auth-state-listener) / [React](/move-platform/sdk/api-interface/react-native/services.md#set-sdk-auth-state-listener)) and the [MoveAuthState ](/move-platform/sdk/models/moveauthstate.md)changes to *Expired.* When this happens, the host app is responsible to provide new [MoveAuth ](/move-platform/sdk/models/moveauth.md)credentials and pass it to the MOVE SDK at initialization or via `updateAuth` ([Android](/move-platform/sdk/api-interface/android/services.md#update-authentication) / [iOS](/move-platform/sdk/api-interface/ios/setup.md#update-authentication) / [React](/move-platform/sdk/api-interface/react-native/services.md#update-authentication)).\
\
The MOVE SDK keeps collecting data and trips as long as the SDK remains in state `Running`. A token expiry will not stop the detection but the MOVE SDK is unable to transmit any data.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.movesdk.com/move-platform/sdk/appendix/token-refresh.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
